// Copyright 2023 schukai GmbH
// SPDX-License-Identifier: AGPL-3.0

package xflags

import (
	"fmt"
	"strings"
)

type StringFlags []string

func (i *StringFlags) String() string {
	return strings.Join(*i, ",")
}

func (i *StringFlags) Set(value string) error {
	*i = append(*i, value)
	return nil
}

type IntFlags []int

func (i *IntFlags) String() string {
	r := make([]string, len(*i))
	for k, v := range *i {
		r[k] = fmt.Sprintf("%c", v)
	}

	return strings.Join(r, ",")
}

func (i *IntFlags) Set(value int) error {
	*i = append(*i, value)
	return nil
}
